# Create domain webhooks (v4)

Create webhook URLs for multiple event types in a single operation. This v4 endpoint allows associating one URL with multiple webhook event types.

Endpoint: POST /v4/domains/{domain}/webhooks
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `domain` (string, required)
    The domain name to create webhooks for

## Request fields (application/x-www-form-urlencoded):

  - `url` (string, required)
    The webhook URL that will receive POST requests

  - `event_types` (string, required)
    Event types. Use multiple times to specify multiple event types.
    Enum: "accepted", "clicked", "opened", "unsubscribed", "delivered", "permanent_fail", "temporary_fail", "complained"

## Response 200 fields (application/json):

  - `webhooks` (object, required)
    List of webhooks

  - `webhooks.accepted` (any)
    Accepted webhook URLs

  - `webhooks.delivered` (any)
    Delivered webhook URLs

  - `webhooks.opened` (any)
    Opened webhook URLs

  - `webhooks.clicked` (any)
    Clicked webhook URLs

  - `webhooks.unsubscribed` (any)
    Unsubscribed webhook URLs

  - `webhooks.complained` (any)
    Complained webhook URLs

  - `webhooks.temporary_fail` (any)
    Temporary fail webhook URLs

  - `webhooks.permanent_fail` (any)
    Permanent fail webhook URLs

## Response 400 fields (application/json):

  - `Reason` (string, required)

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message


